Bug 246898 - Displaying the colors of the ven diagram wrongly
Summary: Displaying the colors of the ven diagram wrongly
Status: VERIFIED FIXED
Alias: None
Product: calligrastage
Classification: Unclassified
Component: opendocument (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: T Zachmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-06 12:57 UTC by swathi
Modified: 2012-10-23 08:51 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
ODP test data to be opened in Kpresenter (20.17 KB, application/vnd.oasis.opendocument.presentation)
2010-08-06 12:57 UTC, swathi
Details
Screenshot of the document in Open Office (178.32 KB, image/x-png)
2010-08-06 12:58 UTC, swathi
Details
Screenshot of the document in Kpresenter (172.56 KB, image/x-png)
2010-08-06 12:58 UTC, swathi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description swathi 2010-08-06 12:57:05 UTC
Created attachment 49873 [details]
ODP test data to be opened in Kpresenter

Version:           svn (Rev: 1158648) (using KDE 4.4.3) 
OS:                Kubuntu 9.10

Test data is in ODP document which has ven diagram filled with colors.
When i opened the same odp in kpresenter,colors of the ven diagram are displaying wrongly.

Expected outcome:
Kpresenter should be able to display the original colors of ven diagram clearly.
Comment 1 swathi 2010-08-06 12:58:10 UTC
Created attachment 49874 [details]
Screenshot of the document in Open Office
Comment 2 swathi 2010-08-06 12:58:48 UTC
Created attachment 49875 [details]
Screenshot of the document in Kpresenter
Comment 3 Gopalakrishna Bhat 2012-06-24 14:43:43 UTC
Git commit a745933feb4444e282d29385b677e058205ca15c by Gopalakrishna Bhat A.
Committed on 24/06/2012 at 16:42.
Pushed by gopalakrishnabhat into branch 'master'.

Take draw:opacity into consideration while loading and saving style:graphic-properties
REVIEW: 105301

M  +16   -0    libs/flake/KoGradientBackground.cpp
M  +17   -1    libs/flake/KoOdfGradientBackground.cpp

http://commits.kde.org/calligra/a745933feb4444e282d29385b677e058205ca15c
Comment 4 swathi 2012-10-23 08:51:47 UTC
Verified in git commit ad0416095c417a8cfa55306ea8959ac0ef4460bb.